[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMHitTest

Handles the CM_HITTEST message for the control.

## Declaration

Source position: controls.pp line 1444

`protected procedure TControl.CMHitTest(`
`var Message: TCMHitTest`
`); message;`

## Arguments

`Message` |  | Message with the result for the hit test.

## Description

The hit test handler determines if the control was located at the mouse position for the test. Sets the Result member in Message to 1 if it was received by the control.

Descendent control may reimplement the method to check for a specific area on the control, like a border or a dock site.

## See also

TLMessage |  |